{{define "assets"}}

{{template "layout-top" .}}

<section class="feeds no-padding-top">
  <div class="container-fluid">
    <div class="row">
      <div class="col-lg-12">
        <div class="articles card">
          <div class="card-body">
            <p>
              Aktivierte Assets aus dem Asset-Pool sind in den TradingStories handelbar.
              <br>
              <span class="small">(Löschen deaktiviert)</span>
            </p>
          </div>
        </div>
      </div>
      <div class="col-lg-6">
        <div class="articles card">
          <div class="card-header d-flex align-items-center">
            <h2 class="h3">Assets</h2>
            <div class="badge badge-rounded bg-green">{{len .ResultArray}} Assets</div>
          </div>
          {{if .FormDeleteMessage}}
          <div class="card-header d-flex align-items-center">
            <span style="color:#54e69d;"><small>{{.FormDeleteMessage}}</small></span>
          </div>
          {{end}}
          {{if .FormDeleteMessageError}}
          <div class="card-header d-flex align-items-center">
            <span style="color:red;"><small>{{.FormDeleteMessageError}}</small></span>
          </div>
          {{end}}
          <div class="card-body">
            <div class="table-responsive">
              <table class="table table-striped table-hover">
                <thead>
                  <tr>
                    <th>AssetType</th>
                    <th>Name</th>
                    <th>Symbol</th>
                    <th>Status</th>
                    <th>Status</th>
                  </tr>
                </thead>
                <tbody>
                  {{range .ResultArray}}

                  <tr>
                    <th scope="row">{{.AssettypeName}}</th>
                    <td>{{.Name}}</td>
                    <td>{{.Symbol}}</td>
                    <td>
                      {{if eq .Disabled "1"}}
                      <span style="color:red">Deaktiviert</span>
                      {{else}}
                      <span style="color:#54e69d">Aktiv</span>
                      {{end}}
                    </td>
                    <td>
                      <form action="/assets" method="POST">
                        <input type="hidden" name="assetId" id="assetId" value="{{.ID}}" />
                        {{if eq .Disabled "1"}}
                        <input type="submit" id="submitStatus" name="submitStatus" value="Aktivieren" class="linktext" />
                        {{else}}
                        <input type="submit" id="submitStatus" name="submitStatus" value="Deaktivieren" class="linktext" />
                        {{end}}
                      </form>
                    </td>
                  </tr>

                  {{end}}
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
      <div class="col-lg-6">
        <div class="articles card">
          <div class="card-header d-flex align-items-center">
            <h2 class="h3">Neues Asset anlegen</h2>
          </div>
          {{if .FormNewMessage}}
          <div class="card-header d-flex align-items-center">
            <span style="color:#54e69d;"><small>{{.FormNewMessage}}</small></span>
          </div>
          {{end}}
          {{if .FormNewMessageError}}
          <div class="card-header d-flex align-items-center">
            <span style="color:red;"><small>{{.FormNewMessageError}}</small></span>
          </div>
          {{end}}
          <div class="card-body no-padding">
            <div class="item d-flex align-items-center">

              <form action="/assets" method="POST" class="form-horizontal">
                <div class="form-group row">
                  <label class="col-sm-4">Assettype</label>
                  <div class="col-sm-8">
                    <select id="assettype_pid" name="assettype_pid" class="form-control">
                      {{range .Assettypes}}
                      <option value="{{.ID}}">{{.Name}}</option>
                      {{end}}
                    </select>
                    <small class="form-text">Von welchem Assettype ist das Asset?</small>
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-4">Symbol</label>
                  <div class="col-sm-8">
                    <input type="text" id="symbol" name="symbol" placeholder="Symbol" class="form-control form-control-warning" autocomplete="off" />
                    <small class="form-text">Symbol des Assets eingeben.</small>
                  </div>
                </div>
                <div class="form-group row">
                  <div class="col-sm-8 offset-sm-4">
                    <div id="getAsset" name="getAsset" value="1" class="btn btn-primary">Symbol auslesen</div>
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-4">Name</label>
                  <div class="col-sm-8">
                    <input type="text" id="name" name="name" placeholder="Name"
                      class="form-control form-control-success" autocomplete="off" />
                    <small class="form-text">Name des Assets eingeben.</small>
                  </div>
                </div>                
                <div class="form-group row">
                  <label class="col-sm-4">Aktueller Bid Preis</label>
                  <div class="col-sm-8">
                    <input type="text" id="bidPrice" name="bidPrice" class="form-control form-control-warning" autocomplete="off" />
                    <small class="form-text">Nur zur Information</small>
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-4">Status</label>
                  <div class="col-sm-8">
                    <input name="disabled" id="disabled_no" type="radio" value="0" checked="">
                    <label for="disabled_no">Aktiviert</label>
                    <br>

                    <input name="disabled" id="disabled_yes" type="radio" value="1">
                    <label for="disabled_yes">Deaktiviert</label>
                    <small class="form-text">Soll das Asset nach dem Anlegen aktiviert oder deaktiviert sein?</small>
                  </div>
                </div>
                <div class="form-group row">
                  <div class="col-sm-8 offset-sm-4">
                    <input type="submit" id="submitNewAsset" name="submitNewAsset" value="Speichern" class="btn btn-primary" />
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>

{{ template "layout-bottom" .}}

<script>
  $(document).ready(function () { 
        $('#getAsset').click(function () {
            $.ajax({
              url: 'testasset',
              type: 'post',
              dataType: 'html',
              data : { ajax_post_data: $('#symbol').val()},
              success : function(data) {
                var res = data.split("###");
                $('#name').val(res[0]);
                $('#bidPrice').val(res[1]);
              },
              error : function(data) {
                $('#name').val("");
                $('#bidPrice').val("Asset unbekannt");
              },
            });
         });
   });
</script>

{{end}}